Download it now!
Bug 97084 - Screen not updating correctly with column heading selection by mouse followed by keyboard
Summary: Screen not updating correctly with column heading selection by mouse followed...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
5.2.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Dennis Francis
URL:
Whiteboard: target:5.2.0
Keywords:
Depends on:
Blocks:
 
Reported: 2016-01-12 22:14 UTC by Óvári
Modified: 2016-10-25 19:11 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
File used in description (11.67 KB, application/vnd.oasis.opendocument.spreadsheet)
2016-01-12 22:14 UTC, Óvári
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Óvári 2016-01-12 22:14:08 UTC
Created attachment 121889 [details]
File used in description

1. Please open HeadingMouseWithKeyboard.ods
2. In cell A1, type:  =SUM(
3. Click column heading C.
4. Press and hold Shift, and press Right_Arrow numerous times.
5. Expected to see the screen view scroll so that the reference boundary to the right (where the cursor is shown); hence able to see when data ends to create the correct formula:  =SUM(C:AH)

Similar example with expected result and screen view implemented correctly:
1. In cell B2, type:  =SUM(
2. Press Right_Arrow once
3. Press and hold shift, and press Right_Arrow numerous times (say to AH2).
4. Continue to hold Shift, and press the Left_Arrow numerous time (say to H2).

Thank you

Version: 5.2.0.0.alpha0+
Build ID: 813a319fe836d1ed1c967928bc044643d0b4c07d
CPU Threads: 2; OS Version: Windows 6.29; UI Render: default; 
TinderBox: Win-x86@39, Branch:master, Time: 2016-01-12_07:46:53
Comment 1 Dennis Francis 2016-01-16 13:40:23 UTC
I am able to recreate the issue on master build and will try to work on it. Thanks.
Comment 2 Commit Notification 2016-02-02 10:19:05 UTC
Dennis Francis committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b5c191c130a132fb5f80ce9eefe4e98f1ad9422f

Fix for tdf#97084 : Scroll view to the ref boundary...

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Óvári 2016-02-04 04:25:38 UTC
(In reply to Commit Notification from comment #2)
> Affected users are encouraged to test the fix and report feedback.

Thank you Dennis Francis (ldcs.co.in)

Status: ASSIGNED → FIXED

Version: 5.2.0.0.alpha0+
Build ID: 91a7580e03d5b47c6e2513afce85ddee45e730b6
CPU Threads: 2; OS Version: Windows 6.29; UI Render: default; 
TinderBox: Win-x86@39, Branch:master, Time: 2016-02-03_23:51:42